KCommand Class Referenceabstract

`#include <kcommand.h>`

Inheritance diagram for KCommand:

## Public Member Functions

virtual void | execute ()=0
virtual void | unexecute ()=0
virtual QString | name () const =0

## Protected Member Functions

| KCommand ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

The abstract base class for all Commands.

Commands are used to store information needed for Undo/Redo functionality...

Definition at line 37 of file kcommand.h.

## Constructor & Destructor Documentation

KCommand::KCommand | ( |  | ) |

inline protected

Creates a command.

Definition at line 43 of file kcommand.h.

## Member Function Documentation

virtual void KCommand::execute | ( |  | ) |

pure virtual

The main method: executes this command.

Implement here what this command is about, and remember to record any information that will be helpful for unexecute.

Implemented in KMacroCommand.

virtual QString KCommand::name | ( |  | ) | const

pure virtual

Returns
  the name of this command, translated, since it will appear in the menus.

Implemented in KNamedCommand.

virtual void KCommand::unexecute | ( |  | ) |

pure virtual

Unexecutes (undo) this command.

Implement here the steps to take for undoing the command. If your application uses actions for everything (it should), and if you implement unexecute correctly, the application is in the same state after unexecute as it was before execute. This means, the next call to execute will do the same thing as it did the first time.

Implemented in KMacroCommand.

The documentation for this class was generated from the following files:

- kcommand.h
- kcommand.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys